Package weka.core.pmml.jaxbbindings

# Enum Class SVMREPRESENTATION

java.lang.Object
java.lang.Enum<SVMREPRESENTATION>
weka.core.pmml.jaxbbindings.SVMREPRESENTATION

All Implemented Interfaces:
  `Serializable`, `Comparable<SVMREPRESENTATION>`, `Constable`

public enum SVMREPRESENTATION extends Enum<SVMREPRESENTATION>

Java class for SVM-REPRESENTATION.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="SVM-REPRESENTATION">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="SupportVectors"/>
         <enumeration value="Coefficients"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COEFFICIENTS`
  `SUPPORT_VECTORS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SVMREPRESENTATION`
  `fromValue(String v)`
  `String`
  `value()`
  `static SVMREPRESENTATION`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SVMREPRESENTATION[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COEFFICIENTS

    public static final SVMREPRESENTATION COEFFICIENTS

  - ### SUPPORT_VECTORS

    public static final SVMREPRESENTATION SUPPORT_VECTORS

- ## Method Details

  - ### values

    public static SVMREPRESENTATION[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SVMREPRESENTATION valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static SVMREPRESENTATION fromValue(String v)